Endpoint Examples

/timeseries

Get summary metrics just like the /totals endpoint but broken out by month or day. Use YYYY-MM date format in the time-frame filter, when, to get monthly summary, or use YYYY-MM-DD date format for daily summary data. When requesting a daily timeseries only up to 90 days may be requested at a time. Months or days with 0 postings will be included in the response.

POST /timeseries

Query Parameters

NameTypeDescriptions
noc_versionenum

Specify NOC taxonomy version to use.
This parameter is optional.

Default: ca_noc2021

Must be one of: ca_noc2021

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

area_versionenum

Specify area taxonomy version to use.
This parameter is optional.

Default: ca_area_sgc2016
Must be one of: ca_area_sgc2016, ca_area_sgc2021

area_ca_versionenum

Specify area taxonomy version to use.
This parameter is optional.

Default: 2021.0.0

Must be one of: 2021.0.0, 2016.0.0

new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2017

Must be one of: naics_std_2017, naics_std_2022

naics_standard_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: 2017.0.1

Must be one of: 2017.0.1, 2022.0.0

Request Body

{
  "filter": {
    "when": {
      "start": "2020-10-15",
      "end": "2020-10-20"
    },
    "title_name": [
      "Java Developers"
    ]
  },
  "metrics": [
    "duplicate_postings",
    "unique_postings"
  ]
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-jpa/timeseries \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2020-10-15", "end": "2020-10-20" }, "title_name": [ "Java Developers" ] }, "metrics": [ "duplicate_postings", "unique_postings" ] }'

Response Examples

{
  "data": {
    "timeseries": {
      "day": [
        "2020-10-15",
        "2020-10-16",
        "2020-10-17",
        "2020-10-18",
        "2020-10-19",
        "2020-10-20"
      ],
      "duplicate_postings": [
        1841,
        1871,
        1900,
        1911,
        1900,
        1905
      ],
      "unique_postings": [
        389,
        395,
        398,
        393,
        387,
        388
      ]
    },
    "totals": {
      "duplicate_postings": 1968,
      "unique_postings": 426
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
// Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
// Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}